#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-GusRDjVIhPiJokeaJ9feLN
key: crypto-pubkey-0.2.8-GusRDjVIhPiJokeaJ9feLN
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 922398c5856ac8e53884a507f1a8a8e5
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-GusRDjVIhPiJokeaJ9feLN
depends:
    base-4.10.0.0 bytestring-0.10.8.2
    byteable-0.1.1-3VfNJqauCum9lD10cS8nmH
    crypto-random-0.0.9-2FtrEG0BwgHBwHTtI74ER
    crypto-pubkey-types-0.4.3-AfRRiCZKKND686E9Phqbff
    cryptohash-0.11.9-AqamNYQHrmzIGdzTCzSrVM
    crypto-numbers-0.2.7-DwqwCMtVHtaKDmRgqIoImk
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             byteable-0.1.1-3VfNJqauCum9lD10cS8nmH=ecad75526b40e3669fcd751d69f205cf
             crypto-random-0.0.9-2FtrEG0BwgHBwHTtI74ER=83ef555885015ede615b854520b77226
             crypto-pubkey-types-0.4.3-AfRRiCZKKND686E9Phqbff=c56f158c0d8a43bb26bf9771e7d0030d
             cryptohash-0.11.9-AqamNYQHrmzIGdzTCzSrVM=e98f6fbada4e740ae20de2aac6e692d7
             crypto-numbers-0.2.7-DwqwCMtVHtaKDmRgqIoImk=8593d875356ec934c24a582aba1e9df8
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

